/*****************************************************************************
Copyright VXI Technoloy, Inc., 2004
 
Author:     $Author: gbernhardt $    
Date:       $Date: 2004/12/10 17:48:44 $
Revision:   $Revision: 1.6 $
 
$Header: /home/shared/cvsroot/ex1048/uClinux-dist/user/ex1048/client/ex1048_client_usage.h,v 1.6 2004/12/10 17:48:44 gbernhardt Exp $
 
*****************************************************************************/

#ifndef EX1048CLIENT_USAGE_HEADER_
#define EX1048CLIENT_USAGE_HEADER_



#define getscanlist_usage "[options]\n" \
	  "\t -t            use TCP/IP\n" \
	  "\t -u            use UDP (default)\n" \
	  "\t -h hostname   specify host (default is localhost)\n"\
          "\t -v            verbose (generates more output)\n"\
          "\t -i id         scanlist id (default to current scanlist (-1))\n"

#define setscanlist_usage "[options] ch [ch] [ch]\n"\
	  "\t -t            use TCP/IP\n"\
	  "\t -u            use UDP (default)\n"\
	  "\t -h hostname   specify host (default is localhost)   \n"\
          "\t -v            verbose (generates more output)\n"\
          "\t -i id         scanlist id (default to current scanlist (-1))\n"\
	  "\t ch            one or more channels for the scanlist\n"

#define readfifo_usage	  "[options] [filename]\n"\
	  "\t -t            use TCP/IP\n"\
	  "\t -u            use UDP (default)\n"\
	  "\t -h hostname   specify host (default is localhost)   \n"\
          "\t -v            verbose (generates more output)\n"\
	  "\t -c count      count (default is 1)\n"\
          "\t               (set to -1 for continuous gather)\n"\
	  "\t -p pages      number of data pages per request (0 queries FIFO count;\n"\
          "\t                 -1 requests max; pages>1 requests pages)\n" \
          "\t               (default is 0)\n"\
          "\t -s            output data in CSV format \n"\
	  "\t -d            discard data (do not display on stdout)\n" \
	  "\t -x            display throughput data (KB/sec)\n" \
          "\t filename      output file name (default stdou)\n"


#define ex1048client_usage "\nSupported Commands:\n"\
	  "\t getscanlist\n"\
	  "\t readfifo\n"\
	  "\t setscanlist\n"

#define setconversions_usage "[options] ch [ch] [ch] conv\n"\
	  "\t -t            use TCP/IP\n"\
	  "\t -u            use UDP (default)\n"\
	  "\t -h hostname   specify host (default is localhost)   \n"\
          "\t -v            verbose (generates more output)\n"\
	  "\t ch            one or more channels\n"\
	  "\t conv          conversion to apply to channels provided\n"\
          "\t               one of: MV,J,K,T,E,B,S,R,N,U0,U1,MV_1X\n"

#define getconversions_usage "[options]\n"\
	  "\t -t            use TCP/IP\n"\
	  "\t -u            use UDP (default)\n"\
	  "\t -h hostname   specify host (default is localhost)   \n"\
          "\t -v            verbose (generates more output)\n"\

#define findinstr_usage "\n"\
          "\t takes no arguments - returns list of addresses of"\
          "\t   compatible servers on the local network via a "\
          "\t   RPC Broadcast (via UDP)"

#define triginit_usage "\n"\
	  "\t -t            use TCP/IP\n" \
	  "\t -u            use UDP (default)\n" \
	  "\t -h hostname   specify host (default is localhost)\n"\
          "\t -v            verbose (generates more output)\n"

#define lidlock_usage "\n"\
	  "\t -t            use TCP/IP\n" \
	  "\t -u            use UDP (default)\n" \
	  "\t -h hostname   specify host (default is localhost)\n"\
          "\t -v            verbose (generates more output)\n"\
          "\t -l <lid>      unlock and free lid\n"

#define caldate_usage "\n"\
	  "\t -t            use TCP/IP\n" \
	  "\t -u            use UDP (default)\n" \
	  "\t -h hostname   specify host (default is localhost)\n"\
          "\t -v            verbose (generates more output)\n"

#define getserial_usage "\n"\
	  "\t -t            use TCP/IP\n" \
	  "\t -u            use UDP (default)\n" \
	  "\t -h hostname   specify host (default is localhost)\n"\
          "\t -v            verbose (generates more output)\n"

#define getcalrunning_usage "\n"\
	  "\t -t            use TCP/IP\n" \
	  "\t -u            use UDP (default)\n" \
	  "\t -h hostname   specify host (default is localhost)\n"\
          "\t -v            verbose (generates more output)\n"

#define exlock_usage "\n"\
	  "\t -t            use TCP/IP\n" \
	  "\t -u            use UDP (default)\n" \
	  "\t -h hostname   specify host (default is localhost)\n"\
          "\t -v            verbose (generates more output)\n"

#define exunlock_usage "\n"\
	  "\t -t            use TCP/IP\n" \
	  "\t -u            use UDP (default)\n" \
	  "\t -h hostname   specify host (default is localhost)\n"\
          "\t -v            verbose (generates more output)\n"

#define exbreaklock_usage "\n"\
	  "\t -t            use TCP/IP\n" \
	  "\t -u            use UDP (default)\n" \
	  "\t -h hostname   specify host (default is localhost)\n"\
          "\t -v            verbose (generates more output)\n"

#define selfcal_usage "\n"\
	  "\t -t            use TCP/IP\n" \
	  "\t -u            use UDP (default)\n" \
	  "\t -h hostname   specify host (default is localhost)\n"\
          "\t -v            verbose (generates more output)\n"\
          "\t -f            force (insufficient uptime)\n"

#define selfcalload_usage "\n"\
	  "\t -t            use TCP/IP\n" \
	  "\t -u            use UDP (default)\n" \
	  "\t -h hostname   specify host (default is localhost)\n"\
          "\t -v            verbose (generates more output)\n"

#define selfcalstore_usage "\n"\
	  "\t -t            use TCP/IP\n" \
	  "\t -u            use UDP (default)\n" \
	  "\t -h hostname   specify host (default is localhost)\n"\
          "\t -v            verbose (generates more output)\n"

#define selfcalclear_usage "\n"\
	  "\t -t            use TCP/IP\n" \
	  "\t -u            use UDP (default)\n" \
	  "\t -h hostname   specify host (default is localhost)\n"\
          "\t -v            verbose (generates more output)\n"

#define initsetcont_usage "[options] 0|1|on|off\n"\
	  "\t -t            use TCP/IP\n" \
	  "\t -u            use UDP (default)\n" \
	  "\t -h hostname   specify host (default is localhost)\n"\
          "\t -v            verbose (generates more output)\n"
          
#define trigsetinf_usage "[options] 0|1|on|off\n"\
	  "\t -t            use TCP/IP\n" \
	  "\t -u            use UDP (default)\n" \
	  "\t -h hostname   specify host (default is localhost)\n"\
          "\t -v            verbose (generates more output)\n"
          
#define armsetinf_usage "[options] 0|1|on|off\n"\
	  "\t -t            use TCP/IP\n" \
	  "\t -u            use UDP (default)\n" \
	  "\t -h hostname   specify host (default is localhost)\n"\
          "\t -v            verbose (generates more output)\n"
          
#define armsetinf_usage "[options] 0|1|on|off\n"\
	  "\t -t            use TCP/IP\n" \
	  "\t -u            use UDP (default)\n" \
	  "\t -h hostname   specify host (default is localhost)\n"\
          "\t -v            verbose (generates more output)\n"
          
#define trigsetinf_usage "[options] 0|1|on|off\n"\
	  "\t -t            use TCP/IP\n" \
	  "\t -u            use UDP (default)\n" \
	  "\t -h hostname   specify host (default is localhost)\n"\
          "\t -v            verbose (generates more output)\n"
          
#define initgetcont_usage "[options]"\
	  "\t -t            use TCP/IP\n" \
	  "\t -u            use UDP (default)\n" \
	  "\t -h hostname   specify host (default is localhost)\n"\
          "\t -v            verbose (generates more output)\n"
          
#define triggetinf_usage "[options]"\
	  "\t -t            use TCP/IP\n" \
	  "\t -u            use UDP (default)\n" \
	  "\t -h hostname   specify host (default is localhost)\n"\
          "\t -v            verbose (generates more output)\n"
          
#define armgetinf_usage "[options]"\
	  "\t -t            use TCP/IP\n" \
	  "\t -u            use UDP (default)\n" \
	  "\t -h hostname   specify host (default is localhost)\n"\
          "\t -v            verbose (generates more output)\n"

#define softwarearm_usage "[options]"\
	  "\t -t            use TCP/IP\n" \
	  "\t -u            use UDP (default)\n" \
	  "\t -h hostname   specify host (default is localhost)\n"\
          "\t -v            verbose (generates more output)\n"

#define softwaretrigger_usage "[options]"\
	  "\t -t            use TCP/IP\n" \
	  "\t -u            use UDP (default)\n" \
	  "\t -h hostname   specify host (default is localhost)\n"\
          "\t -v            verbose (generates more output)\n"

#define abort_usage "\n"\
	  "\t -t            use TCP/IP\n" \
	  "\t -u            use UDP (default)\n" \
	  "\t -h hostname   specify host (default is localhost)\n"\
          "\t -v            verbose (generates more output)\n"

#define resetfifo_usage "\n"\
	  "\t -t            use TCP/IP\n" \
	  "\t -u            use UDP (default)\n" \
	  "\t -h hostname   specify host (default is localhost)\n"\
          "\t -v            verbose (generates more output)\n"

#define configfifo_usage "\n"\
	  "\t -t                use TCP/IP\n" \
	  "\t -u                use UDP (default)\n" \
	  "\t -h hostname       specify host (default is localhost)\n"\
          "\t -v                verbose (generates more output)\n"\
          "\t -c cjc_mode       cjc_mode (0=no cjc value reporting; \n"\
          "\t                   1=cjc value reporting; -1=no change)\n"\
          "\t                   (default = -1)\n"\
          "\t -s timestamp_mode timestamp_mode (0=no timestamp value reporting; \n"\
          "\t                   1=timestamp value reporting; -1=no change)\n"\
          "\t                   (default = -1)\n"\
          "\t -n count_mode     count_mode (0=no count value reporting; \n"\
          "\t                   1=count value reporting; -1=no change)\n"\
          "\t                   (default = -1)\n"\
          "\t -e                temperature units (0=Celsius, 1=Fahrenheit) \n"\
          "\t                   (default = -1)\n"\
          "\t -b                blocking_mode (0=non-blocking mode; \n"\
          "\t                   1=blocking mode; -1=no change)\n"

#define exreset_usage "\n"\
	  "\t -t            use TCP/IP\n" \
	  "\t -u            use UDP (default)\n" \
	  "\t -h hostname   specify host (default is localhost)\n"\
          "\t -v            verbose (generates more output)\n"

#define trigsetcount_usage "\n"\
          "\ttrigsetcount [options] count\n"\
	  "\t -t            use TCP/IP\n" \
	  "\t -u            use UDP (default)\n" \
	  "\t -h hostname   specify host (default is localhost)\n"\
          "\t -v            verbose (generates more output)\n"

#define triggetcount_usage "\n"\
	  "\t -t            use TCP/IP\n" \
	  "\t -u            use UDP (default)\n" \
	  "\t -h hostname   specify host (default is localhost)\n"\
          "\t -v            verbose (generates more output)\n"

#define armsetcount_usage "\n"\
          "\tarmsetcount [options] count\n"\
	  "\t -t            use TCP/IP\n" \
	  "\t -u            use UDP (default)\n" \
	  "\t -h hostname   specify host (default is localhost)\n"\
          "\t -v            verbose (generates more output)\n"

#define armgetcount_usage "\n"\
	  "\t -t            use TCP/IP\n" \
	  "\t -u            use UDP (default)\n" \
	  "\t -h hostname   specify host (default is localhost)\n"\
          "\t -v            verbose (generates more output)\n"

#define trigsettimer_usage "\n"\
          "\ttrigsettimer [options] timer-period (decimal, floating-point)\n"\
	  "\t -t            use TCP/IP\n" \
	  "\t -u            use UDP (default)\n" \
	  "\t -h hostname   specify host (default is localhost)\n"\
          "\t -v            verbose (generates more output)\n"

#define triggettimer_usage "\n"\
	  "\t -t            use TCP/IP\n" \
	  "\t -u            use UDP (default)\n" \
	  "\t -h hostname   specify host (default is localhost)\n"\
          "\t -v            verbose (generates more output)\n"

#define trigsetsrc_usage "\n"\
          "\ttrigsetsrc [options]\n"\
	  "\t -t            use TCP/IP\n" \
	  "\t -u            use UDP (default)\n" \
	  "\t -h hostname   specify host (default is localhost)\n"\
          "\t -v            verbose (generates more output)\n" \
          "\t -T            enable timer source\n" \
          "\t -I            enable immediate source\n" \
          "\t -V 'XX XX XX XX'\n" \
                 "\t\tspecify the vtb source bits*\n" \
          "\t -D 'XX XX XX XX'\n" \
                 "\t\tspecify the dio source bits*\n" \
                 "\t\t*XX is one byte in hex, PE NE PL NL\n"

#define armsetsrc_usage "\n"\
          "\ttrigsetsrc [options]\n"\
	  "\t -t            use TCP/IP\n" \
	  "\t -u            use UDP (default)\n" \
	  "\t -h hostname   specify host (default is localhost)\n"\
          "\t -v            verbose (generates more output)\n" \
          "\t -T            enable timer source\n" \
          "\t -I            enable immediate source\n" \
          "\t -V 'XX XX XX XX'\n" \
                 "\t\tspecify the vtb source bits*\n" \
          "\t -D 'XX XX XX XX'\n" \
                 "\t\tspecify the dio source bits*\n" \
                 "\t\t*XX is one byte in hex, PE NE PL NL\n"

#define triggetsrc_usage "\n"\
	  "\t -t            use TCP/IP\n" \
	  "\t -u            use UDP (default)\n" \
	  "\t -h hostname   specify host (default is localhost)\n"\
          "\t -v            verbose (generates more output)\n"

#define armgetsrc_usage "\n"\
	  "\t -t            use TCP/IP\n" \
	  "\t -u            use UDP (default)\n" \
	  "\t -h hostname   specify host (default is localhost)\n"\
          "\t -v            verbose (generates more output)\n"

#define armsetdelay_usage " count\n"\
	  "\t -t            use TCP/IP\n" \
	  "\t -u            use UDP (default)\n" \
	  "\t -h hostname   specify host (default is localhost)\n"\
          "\t -v            verbose (generates more output)\n"

#define trigsetdelay_usage " count\n"\
	  "\t -t            use TCP/IP\n" \
	  "\t -u            use UDP (default)\n" \
	  "\t -h hostname   specify host (default is localhost)\n"\
          "\t -v            verbose (generates more output)\n"

#define armgetdelay_usage "\n"\
	  "\t -t            use TCP/IP\n" \
	  "\t -u            use UDP (default)\n" \
	  "\t -h hostname   specify host (default is localhost)\n"\
          "\t -v            verbose (generates more output)\n"

#define triggetdelay_usage "\n"\
	  "\t -t            use TCP/IP\n" \
	  "\t -u            use UDP (default)\n" \
	  "\t -h hostname   specify host (default is localhost)\n"\
          "\t -v            verbose (generates more output)\n"

#define setfreqs_usage "[options] ch [ch] [ch] freq\n"\
	  "\t -t            use TCP/IP\n"\
	  "\t -u            use UDP (default)\n"\
	  "\t -h hostname   specify host (default is localhost)   \n"\
          "\t -v            verbose (generates more output)\n" \
	  "\t ch            one or more channels\n" \
	  "\t freq          cut-off frequency (Hz) to apply to channels provided\n" \
          "\t               one of: 4, 1000\n"

#define getfreqs_usage "[options]\n"\
	  "\t -t            use TCP/IP\n"\
	  "\t -u            use UDP (default)\n"\
	  "\t -h hostname   specify host (default is localhost)   \n"\
          "\t -v            verbose (generates more output)\n"\

#define diosetoutput_usage "[options] value\n"\
          "\t -t            use TCP/IP\n"\
          "\t -u            use UDP (default)\n"\
          "\t -h hostname   specify host (default is localhost)\n"\
          "\t -v            verbose (generates more output)\n"\

#define diogetoutput_usage "[options]\n"\
          "\t -t            use TCP/IP\n"\
          "\t -u            use UDP (default)\n"\
          "\t -h hostname   specify host (default is localhost)\n"\
          "\t -v            verbose (generates more output)\n"\

#define diogetinput_usage "[options]\n"\
          "\t -t            use TCP/IP\n"\
          "\t -u            use UDP (default)\n"\
          "\t -h hostname   specify host (default is localhost)\n"\
          "\t -v            verbose (generates more output)\n"\

#define diosendpulse_usage "[options] value\n"\
          "\t -t            use TCP/IP\n"\
          "\t -u            use UDP (default)\n"\
          "\t -h hostname   specify host (default is localhost)\n"\
          "\t -v            verbose (generates more output)\n"\

#define diosetenable_usage "[options] value\n"\
          "\t -t            use TCP/IP\n"\
          "\t -u            use UDP (default)\n"\
          "\t -h hostname   specify host (default is localhost)\n"\
          "\t -v            verbose (generates more output)\n"\

#define diogetenable_usage "[options]\n"\
          "\t -t            use TCP/IP\n"\
          "\t -u            use UDP (default)\n"\
          "\t -h hostname   specify host (default is localhost)\n"\
          "\t -v            verbose (generates more output)\n"\

#define vtbsetoutput_usage "[options] value\n"\
          "\t -t            use TCP/IP\n"\
          "\t -u            use UDP (default)\n"\
          "\t -h hostname   specify host (default is localhost)\n"\
          "\t -v            verbose (generates more output)\n"\

#define vtbgetoutput_usage "[options]\n"\
          "\t -t            use TCP/IP\n"\
          "\t -u            use UDP (default)\n"\
          "\t -h hostname   specify host (default is localhost)\n"\
          "\t -v            verbose (generates more output)\n"\

#define vtbgetinput_usage "[options]\n"\
          "\t -t            use TCP/IP\n"\
          "\t -u            use UDP (default)\n"\
          "\t -h hostname   specify host (default is localhost)\n"\
          "\t -v            verbose (generates more output)\n"\

#define vtbsendpulse_usage "[options] value\n"\
          "\t -t            use TCP/IP\n"\
          "\t -u            use UDP (default)\n"\
          "\t -h hostname   specify host (default is localhost)\n"\
          "\t -v            verbose (generates more output)\n"\

#define vtbsetenable_usage "[options] value\n"\
          "\t -t            use TCP/IP\n"\
          "\t -u            use UDP (default)\n"\
          "\t -h hostname   specify host (default is localhost)\n"\
          "\t -v            verbose (generates more output)\n"\

#define vtbgetenable_usage "[options]\n"\
          "\t -t            use TCP/IP\n"\
          "\t -u            use UDP (default)\n"\
          "\t -h hostname   specify host (default is localhost)\n"\
          "\t -v            verbose (generates more output)\n"\

#define getstream_usage "[options]\n"\
          "\t -t            use TCP/IP\n"\
          "\t -u            use UDP (default)\n"\
          "\t -c pages      specify number of pages (default is 100)\n"\
          "\t -h hostname   specify host (default is localhost)\n"\
          "\t -p port       specify streaming port (default 6000)\n"\
          "\t -d            discard received pages\n"\

#define setlimits_usage "[options] [limit set] [ch1index ch1lower ch1upper] [ch2index ch2lower ch2upper] ...\n"\
          "\t -t            use TCP/IP\n"\
          "\t -u            use UDP (default)\n"\
          "\t -h hostname   specify host (default is localhost)\n"\
          "\t -v            verbose (generates more output)\n"\

#define getlimits_usage "[options] [limit set]\n"\
          "\t -t            use TCP/IP\n"\
          "\t -u            use UDP (default)\n"\
          "\t -h hostname   specify host (default is localhost)\n"\
          "\t -v            verbose (generates more output)\n"\

#define setlimitenables_usage "[options] [ch1index ch1enable] [ch2index ch2enable] ...\n"\
          "\t -t            use TCP/IP\n"\
          "\t -u            use UDP (default)\n"\
          "\t -h hostname   specify host (default is localhost)\n"\
          "\t -v            verbose (generates more output)\n"\

#define getlimitenables_usage "[options]\n"\
          "\t -t            use TCP/IP\n"\
          "\t -u            use UDP (default)\n"\
          "\t -h hostname   specify host (default is localhost)\n"\
          "\t -v            verbose (generates more output)\n"\

#define getlimitstatus_usage "[options]\n"\
          "\t -t            use TCP/IP\n"\
          "\t -u            use UDP (default)\n"\
          "\t -h hostname   specify host (default is localhost)\n"\
          "\t -v            verbose (generates more output)\n"\

#define setuserconv_usage "[options] conversion-set coefficient-1 coefficient-2 ... coefficient-n\n"\
          "\t -t            use TCP/IP\n"\
          "\t -u            use UDP (default)\n"\
          "\t -h hostname   specify host (default is localhost)\n"\
          "\t -v            verbose (generates more output)\n"\

#define getuserconv_usage "[options] conversion-set\n"\
          "\t -t            use TCP/IP\n"\
          "\t -u            use UDP (default)\n"\
          "\t -h hostname   specify host (default is localhost)\n"\
          "\t -v            verbose (generates more output)\n"\

#define getcalstatus_usage "[options]\n"\
          "\t -t            use TCP/IP\n"\
          "\t -u            use UDP (default)\n"\
          "\t -h hostname   specify host (default is localhost)\n"\
          "\t -v            verbose (generates more output)\n"\

#define geterrorstatus_usage "[options]\n"\
          "\t -t            use TCP/IP\n"\
          "\t -u            use UDP (default)\n"\
          "\t -h hostname   specify host (default is localhost)\n"\
          "\t -v            verbose (generates more output)\n"\

#define getfirmwareversion_usage "[options]\n"\
          "\t -t            use TCP/IP\n"\
          "\t -u            use UDP (default)\n"\
          "\t -h hostname   specify host (default is localhost)\n"\
          "\t -v            verbose (generates more output)\n"\

#define getrpcversion_usage "[options]\n"\
          "\t -t            use TCP/IP\n"\
          "\t -u            use UDP (default)\n"\
          "\t -h hostname   specify host (default is localhost)\n"\
          "\t -v            verbose (generates more output)\n"\

#define setcjctemperatures_usage "[options] [channel-1 temp-1] [channel-2 temp-2] ... [channel-n temp-n]\n"\
          "\t -t            use TCP/IP\n"\
          "\t -u            use UDP (default)\n"\
          "\t -h hostname   specify host (default is localhost)\n"\
          "\t -v            verbose (generates more output)\n"\

#define getcjctemperatures_usage "[options]\n"\
          "\t -t            use TCP/IP\n"\
          "\t -u            use UDP (default)\n"\
          "\t -h hostname   specify host (default is localhost)\n"\
          "\t -v            verbose (generates more output)\n"\

#define setcjcenables_usage "[options] [channel-1 enabled-flag-1] [channel-2 enabled-flag-2] ... [channel-n enabled-flag-n]\n"\
          "\t -t            use TCP/IP\n"\
          "\t -u            use UDP (default)\n"\
          "\t -h hostname   specify host (default is localhost)\n"\
          "\t -v            verbose (generates more output)\n"\

#define getcjcenables_usage "[options]\n"\
          "\t -t            use TCP/IP\n"\
          "\t -u            use UDP (default)\n"\
          "\t -h hostname   specify host (default is localhost)\n"\
          "\t -v            verbose (generates more output)\n"\

#define selftest_usage "[options]\n"\
          "\t -t            use TCP/IP\n"\
          "\t -u            use UDP (default)\n"\
          "\t -h hostname   specify host (default is localhost)\n"\
          "\t -v            verbose (generates more output)\n"\

#define getsystemstatus_usage "[options]\n"\
          "\t -t            use TCP/IP\n"\
          "\t -u            use UDP (default)\n"\
          "\t -h hostname   specify host (default is localhost)\n"\
          "\t -v            verbose (generates more output)\n"\

#define setledstatus_usage "[options] [LED 0 enable flag] [LED 1 enable flag] ... [LED n enable flag]\n"\
          "\t -t            use TCP/IP\n"\
          "\t -u            use UDP (default)\n"\
          "\t -h hostname   specify host (default is localhost)\n"\
          "\t -v            verbose (generates more output)\n"\
          "\t -T n          perform an LED test:\n"\
          "\t                   n = 1: Scroll pattern\n"\
          "\t                   n = 2: All on\n"\
          "\t                   n = 3: All off\n"\
          "\t                   n = 4: Checkerboard\n"\
          "\t                   n = 5: Invert\n"\
          "\t                   n = 6: Cycle through all tests\n"\

#define getledstatus_usage "[options]\n"\
          "\t -t            use TCP/IP\n"\
          "\t -u            use UDP (default)\n"\
          "\t -h hostname   specify host (default is localhost)\n"\
          "\t -v            verbose (generates more output)\n"\

#define setauxledstatus_usage "[options] [aux LED status]\n"\
          "\t -t            use TCP/IP\n"\
          "\t -u            use UDP (default)\n"\
          "\t -h hostname   specify host (default is localhost)\n"\
          "\t -v            verbose (generates more output)\n"\

#define getauxledstatus_usage "[options]\n"\
          "\t -t            use TCP/IP\n"\
          "\t -u            use UDP (default)\n"\
          "\t -h hostname   specify host (default is localhost)\n"\
          "\t -v            verbose (generates more output)\n"\

#define getchannelunits_usage "[options]\n"\
          "\t -t            use TCP/IP\n"\
          "\t -u            use UDP (default)\n"\
          "\t -h hostname   specify host (default is localhost)\n"\
          "\t -v            verbose (generates more output)\n"\

#endif


/*****************************************************************************
Revision History
 
$Log: ex1048_client_usage.h,v $
Revision 1.6  2004/12/10 17:48:44  gbernhardt
removed software as a trigger source (bug #403)

Revision 1.5  2004/10/01 13:53:40  gbernhardt
fixed the omission of MV_1X in setconversion's usage

Revision 1.4  2004/09/30 19:26:40  pmecklenburg
added lidlock

Revision 1.3  2004/09/25 19:50:01  gbernhardt
fixed setlimmitenables usage (bug #260)

Revision 1.2  2004/09/22 17:52:05  gbernhardt
merging alpha back onto the root (bug #79)

Revision 1.1.2.26  2004/09/07 21:52:49  pmecklenburg
added force option to selfcal

Revision 1.1.2.25  2004/08/30 15:18:05  gbernhardt
added enable flags to channel 0 of the limits (they don't do anything yet) (bug #147)

Revision 1.1.2.24  2004/08/23 21:35:30  pmecklenburg
added getserial and caldate

Revision 1.1.2.23  2004/08/18 14:37:30  gbernhardt
added an RPC and userland app to get the channel units (bug #145)

Revision 1.1.2.22  2004/08/17 13:52:45  gbernhardt
added more complex LED test modes (bug #113)

Revision 1.1.2.21  2004/08/10 19:56:42  gbernhardt
added support for aux LED (bug #86)

Revision 1.1.2.20  2004/08/10 18:33:05  gbernhardt
added driver interface for controlling LEDs (bug #86)

Revision 1.1.2.19  2004/08/09 15:27:31  gbernhardt
added 'get system status' and 'get limit status' userland utilities (bugs #20 and #62)

Revision 1.1.2.18  2004/08/06 14:42:30  pmecklenburg
added geterrorstatus

Revision 1.1.2.17  2004/08/03 21:40:55  gbernhardt
added software arm and trigger (bug #63)

Revision 1.1.2.16  2004/08/03 20:06:19  pmecklenburg
added selfcal clients, locking clients and getcalrunning client

Revision 1.1.2.15  2004/08/03 14:58:58  gbernhardt
added DIO pulse and VTB pulse command line programs

Revision 1.1.2.14  2004/08/01 17:14:59  gbernhardt
added initial (incomplete) self-test

Revision 1.1.2.13  2004/07/30 17:49:05  gbernhardt
added preliminary VTB support (bug #56)

Revision 1.1.2.12  2004/07/29 18:04:31  gbernhardt
added blocking mode control to config_fifo (bug #50)

Revision 1.1.2.11  2004/07/29 17:03:27  gbernhardt
added temperature units setting (bug #18)

Revision 1.1.2.10  2004/07/28 22:00:08  gbernhardt
added user-defined CJC temperature utilities

Revision 1.1.2.9  2004/07/26 18:23:18  gbernhardt
added firmware version and RPC version RPC calls (bug #46)

Revision 1.1.2.8  2004/07/26 14:49:39  gbernhardt
added support for multiple limit sets

Revision 1.1.2.7  2004/07/19 21:08:17  gbernhardt
added calibration status userland utility

Revision 1.1.2.6  2004/07/07 15:36:31  gbernhardt
added user-defined conversions and updated the usage for scanlist conversions

Revision 1.1.2.5  2004/06/28 18:52:57  gbernhardt
merged alpha alpha-trigger

Revision 1.1.2.4.2.2  2004/06/23 13:27:34  pmecklenburg
add clients for new tirgger model (arm stuff, inf, delay, etc)

Revision 1.1.2.4.2.1  2004/06/22 19:19:42  pmecklenburg
update usage for trigsetsrc

Revision 1.1.2.4  2004/06/18 17:55:22  pmecklenburg
added getstream test client usage

Revision 1.1.2.3  2004/06/17 14:09:40  gbernhardt
added getlimits and setlimits

Revision 1.1.2.2  2004/06/03 20:07:08  gbernhardt
added digital IO RPC and userland tools

Revision 1.1.2.1  2004/04/20 13:16:04  nbarendt
moved from parent directory

Revision 1.3.2.2  2004/04/20 12:41:31  nbarendt
added count support

Revision 1.3.2.1  2004/04/13 19:56:00  nbarendt
added several new interfaces

Revision 1.3  2004/04/12 13:56:38  nbarendt

fixed header protection
updated help for readfifo command
added exreset help

Revision 1.2  2004/03/12 16:40:25  nbarendt
updated to include new functions

Revision 1.1  2004/02/12 19:18:04  nbarendt
initial versions


*****************************************************************************/
