/*****************************************************************************
Copyright VXI Technoloy, Inc., 2004
 
Author:     $Author: gbernhardt $    
Date:       $Date: 2004/09/22 17:52:05 $
Revision:   $Revision: 1.2 $
 
$Header: /home/shared/cvsroot/ex1048/uClinux-dist/user/ex1048/client/applets.h,v 1.2 2004/09/22 17:52:05 gbernhardt Exp $
 
*****************************************************************************/

#ifndef EX1048_APPLETS_HEADER_
#define EX1048_APPLETS_HEADER_

#include"libex1048.h"
#include"ex1048_client_usage.h"

/* borrowed some of the ideas for this structure from BusyBox */
typedef struct EX1048_applet {
  const	char*	name;
  int	(*main)(int argc, char** argv);
  const char*   usage_string;  
} EX1048_applet;


#define EX1048_APPLET(a) {#a, a##_main, a##_usage},
#define EX1048_CGI_APPLET(a) {#a, a##_main, NULL},


extern const EX1048_applet applets[];

#endif


/*****************************************************************************
Revision History
 
$Log: applets.h,v $
Revision 1.2  2004/09/22 17:52:05  gbernhardt
merging alpha back onto the root (bug #79)

Revision 1.1.2.1  2004/04/20 13:16:04  nbarendt
moved from parent directory

Revision 1.3  2004/04/12 13:53:42  nbarendt

changed header wrapper protection

Revision 1.2  2004/03/12 16:37:40  nbarendt
added new commands

Revision 1.1  2004/02/12 19:18:04  nbarendt
initial versions


*****************************************************************************/
