/*******************************************************************************
 *
 * Module Name: dmmdevices.h
 *
 * Copyright 2006 VXI Technology Inc. as an unpublished work.
 * All rights reserved.
 *
 * The information contained herein is confidential property of VXI Technology,
 * Inc.  The use, copying, transfer, or disclosure of such information is
 * prohibited except by express written agreement with VXI Technology, Inc.
 *
 *
 * Module Description:
 *   This is the EX1629 DMM devices header.
 *
 ******************************************************************************/

#ifndef __DMMDEVICES_H
#define __DMMDEVICES_H


typedef char *cmd_list_t[];

struct dmm_cmds {
  char **volt_init;
  char **res_init;
  char *volt_range;
  char *res_range;
  char **read;
  char *ident;
  char *ident_ptrn_str;
  char *cal_query;
  int timeout;
};

struct device {
  int index;
  char *name;
  struct dmm_cmds *cmds;
};

extern struct device g_devices[];

#endif
